name: Build & Deploy
on:
  push:
    branches: [ "dev" ]
  pull_request:
    branches: [ "dev" ]
jobs:
  build-and-deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Check out repository
        uses: actions/checkout@v4

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3

      - name: Login to Container Registry
        uses: docker/login-action@v3
        with:
          registry: ghcr.io
          username: ${{ github.repository_owner }}
          password: ${{ secrets.GITHUB_TOKEN }}

      - name: Preset Image Name
        run: echo "IMAGE_URL=$(echo ghcr.io/${{ github.repository_owner }}/${{ github.event.repository.name }}:$(echo ${{ github.sha }} | cut -c1-7) | tr '[:upper:]' '[:lower:]')" >> $GITHUB_ENV

      # - name: Build and push Docker Image
      #   uses: docker/build-push-action@v5
      #   with:
      #     context: ./src/Managing.WebApp
      #     file: ./src/Managing.WebApp/Dockerfile-web-ui-dev
      #     push: true
      #     tags: ${{ env.IMAGE_URL }}

     
#      - name: Create deploy.tar
#        uses: a7ul/tar-action@v1.1.0
#        with:
#          command: c
#          cwd: "./"
#          files: |
#            scripts/build_and_run.sh
#            captain-definition
#          outPath: deploy.tar
#      - name: Deploy App to CapRover
#        uses: caprover/deploy-from-github@v1.0.1
#        with:
#          server: '${{ secrets.CAPROVER_SERVER }}'
#          app: '${{ secrets.APP_NAME }}'
#          token: '${{ secrets.MANAGING_APPS }}'
#          
